Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.jpg
Class CompressInfo

    java.lang.Object
      |
      +--com.sun.jimi.core.encoder.jpg.CompressInfo

public final class CompressInfo
extends java.lang.Object

Field Summary
`HuffTbl[]` | `ac_huff_tbl`
`short` | `blocks_in_MCU`
`JpegComponentInfo[]` | `comp_info`
`short` | `comps_in_scan`
`JpegComponentInfo[]` | `cur_comp_info`
`short` | `data_precision`
`HuffTbl[]` | `dc_huff_tbl`
`int` | `image_height`
`int` | `image_width`
`short` | `in_color_space`
`short` | `input_components`
`boolean` | `interleave`
`AdaptiveRasterImage` | `ji`
`short` | `jpeg_color_space`
`int[]` | `last_dc_val`
`short` | `max_h_samp_factor`
`short` | `max_v_samp_factor`
`short[]` | `MCU_membership`
`int` | `MCU_rows_in_scan`
`int` | `MCUs_per_row`
`short` | `num_components`
`java.io.DataOutputStream` | `output_file`
`short[][]` | `quant_tbl`

Constructor Summary
`CompressInfo(int quality)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ji

    public AdaptiveRasterImage ji

### output_file

    public java.io.DataOutputStream output_file

### image_width

    public int image_width

### image_height

    public int image_height

### input_components

    public short input_components

### data_precision

    public short data_precision

### in_color_space

    public short in_color_space

### jpeg_color_space

    public short jpeg_color_space

### num_components

    public short num_components

### comp_info

    public JpegComponentInfo[] comp_info

### quant_tbl

    public short[][] quant_tbl

### dc_huff_tbl

    public HuffTbl[] dc_huff_tbl

### ac_huff_tbl

    public HuffTbl[] ac_huff_tbl

### interleave

    public boolean interleave

### max_h_samp_factor

    public short max_h_samp_factor

### max_v_samp_factor

    public short max_v_samp_factor

### comps_in_scan

    public short comps_in_scan

### cur_comp_info

    public JpegComponentInfo[] cur_comp_info

### MCUs_per_row

    public int MCUs_per_row

### MCU_rows_in_scan

    public int MCU_rows_in_scan

### blocks_in_MCU

    public short blocks_in_MCU

### MCU_membership

    public short[] MCU_membership

### last_dc_val

    public int[] last_dc_val

Constructor Detail

### CompressInfo

    public CompressInfo(int quality)

  Parameters:
    `quality` - the quality control setting for saving of jpg. This parametr ranges from 0 to poor to 100 for very good quality.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD